Create or update outbound shipment tracking for a diagnostic order
Creates or updates shipment tracking for the FulfillmentCenter -> Customer shipment of the DiagnosticOrder.
Creates or updates shipment tracking for the FulfillmentCenter -> Customer shipment of the DiagnosticOrder.
Authorization
apiKey In: header
Path Parameters
ShipmentTrackingInput identifier
Header Parameters
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new ShipmentTrackingInput resource
TypeScript Definitions
Use the request body type in TypeScript.
Shipment provider responsible for the parcel.
Allowed values: "DHL", "Swiss Post", "OTHER"
Optional carrier tracking code for the shipment.
Optional tracking URL. If omitted, the system generates one for supported providers when a tracking code is provided.
Optional shipment status to expose together with the tracking data.
Allowed values: "confirmed", "in_transit", "out_for_delivery", "delivered", "failure", "undeliverable", "returned_to_sender", "available_for_collection", null
Response Body
curl -X POST "https://example.com/v1/diagnostic_orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/shipment_tracking" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "provider": "DHL", "trackingCode": "TRACK-123456", "url": "https://www.dhl.de/en/privatkunden/dhl-sendungsverfolgung.html?piececode=TRACK-123456", "shipmentStatus": "in_transit" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticTests": [ "/entity/1" ], "createdAt": "2019-08-24T14:15:22Z", "fulfilledAt": "2019-08-24T14:15:22Z", "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ null ] }, "shippingAddress": { "address1": "string", "address2": "string", "zip": "string", "city": "string", "countryCode": "DE", "firstName": "string", "lastName": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "phone": "string", "company": "string", "name": "string" }, "metadata": { "property1": true, "property2": true }}Activate a diagnostic test POST
Activates the DiagnosticTest. A specimen code is required when it was not provided during external fulfillment only. If the test already has a specimen, omit this field. If provided, the code must match the existing specimen.
Create or update inbound shipment tracking for a diagnostic test POST
Creates or updates shipment tracking for the Customer -> Lab shipment of the DiagnosticTest.